/*
Theme Name:		 MARCO Bootstrap
Theme URI:		 http://childtheme-generator.com/
Description:	 MARCO Bootstrap is a child theme of WP Bootstrap 4
Author:			 Ondrej Vrtel
Author URI:		 http://marco.eu/
Template:		 wp-bootstrap-4
Version:		 1.0.0
Text Domain:	 marco-bootstrap
*/


/*
    Add your custom styles here
*/
/*  FONT */
@font-face {
  font-family: 'Marco-Uttara-Light';
  font-weight: lighter;
  src: url('fonts/Marco-Uttara-Light.eot');
  src: url('fonts/Marco-Uttara-Light.eot') format('embedded-opentype');
  src: url('fonts/Marco-Uttara-Light.woff2') format('woff2');
  src: url('fonts/Marco-Uttara-Light.woff') format('woff');
}
@font-face {
  font-family: 'Marco-Uttara-Medium';
  font-weight: normal;
  src: url('fonts/Marco-Uttara-Medium.eot');
  src: url('fonts/Marco-Uttara-Medium.eot') format('embedded-opentype');
  src: url('fonts/Marco-Uttara-Medium.woff2') format('woff2');
  src: url('fonts/Marco-Uttara-Medium.woff') format('woff');
}
@font-face {
  font-family: 'Marco-Uttara-Black';
  font-weight: bold;
  src: url('fonts/Marco-Uttara-Black.eot');
  src: url('fonts/Marco-Uttara-Black.eot') format('embedded-opentype');
  src: url('fonts/Marco-Uttara-Black.woff2') format('woff2');
  src: url('fonts/Marco-Uttara-Black.woff') format('woff');
}

body {
  font-family: Marco-Uttara-Medium, Arial, sans-serif !important;
  font-weight: normal;
}
h1, h2, h3, h4, h5, h6, strong {
  font-family: Marco-Uttara-Black, Arial, sans-serif !important;
  font-weight: bold;
}
.homepage-links { margin-top: 20px; margin-bottom: 20px;}


/* --------------------------
 * GRID
 */

 .row-flex {
   display: flex;
   justify-content: space-between;
 }
  .section { padding-top: 5em; padding-left: 3rem; padding-right: 3rem;}
  .section-number { width: 30%; }
  .section-content { width: 70%; }

  .section-content h1 {
    font-size: 56px;
    line-height: 56px;
    margin:0;
    padding-bottom: 35px;
  }
  .section-content p{
    padding-right: 50px;
    display: inline-block;
    font-size: 1.5rem;
    /* line-height: 90%; */
  }


/* -------------------------- */
/* ------  NAVBAR ----------- */

/* KOREKCE WP admin baru */
.admin-bar .site-header.sticky-top {top: 0px;}


.bg-light {
    background-color: #ffffff !important;
}
.navbar {
  padding: 0.5rem 3rem;
  border-bottom: 1px solid black;
}
.submenu {
  display: block;
  position: -webkit-sticky;
  position: sticky;
  top: 77px;
  padding: 0.25rem 3rem;
  border-bottom: 1px solid black;
  background-color: white;
  z-index: 11;
}
/* .submenu li:first-child a { padding-left: 0px;} */
a.nav-link {
    /* color: rgba(0, 0, 0, 1); */
    height: 40px;
    border: none;
    transition: none;
    font-size: 1.5rem;
    font-weight: bold;
    /* text-transform: lowercase; */
}
.active a.nav-link, a.nav-link:hover {
  border-bottom: 1px solid black;
}
.nav-link {
    padding-right: 0;
    padding-left: 0;
    margin-right: 0.5rem;
    margin-left: 0.5rem;
}
#primary-menu a.nav-link {
  font-family: 'Marco-Uttara-Light', Arial, sans-serif !important;
  font-weight: lighter;
  text-transform: uppercase;
}

/* secondary menu */
.sec-menu a.nav-link, .sec-menu a.nav-link li {
    color: rgba(0, 0, 0, 1);
    height: 25px;
    border: none;
    transition: none;
    font-size: 1rem;
    font-family: 'Marco-Uttara-Light', Arial, sans-serif !important;
    font-weight: lighter;
}
.sec-menu .nav-link {
  padding: 0;
}


/* ----------------------------------- */
/* ----- HOMEPAGE -------- */
a.hplink, a.hplink:visited {
  display: inline;
  /* font-size: 3em; */
  font-size: 4.3vw;
  line-height: 1.1em;
  letter-spacing: -2px;
  text-decoration: none;
  color: #919599;
  margin-right: .3em;
}
a.hplink:hover, a.hplink.active {
  /* letter-spacing: 0px; */
  color: #212529;
}
a.hplink:visited {
  /* letter-spacing: 0px; */
  /* color: #919599; */
}

.round-round {
  -webkit-animation: spin 1s infinite linear;
          animation: spin 1s infinite linear;
}
@-webkit-keyframes spin {
  0%  { -webkit-transform: rotate(0deg); transform: rotate(0deg);}
  100%  { -webkit-transform: rotate(360deg); transform: rotate(360deg);}
}
@keyframes spin {
  0%  { -webkit-transform: rotate(0deg); transform: rotate(0deg);}
  100%  { -webkit-transform: rotate(360deg); transform: rotate(360deg);}
}

/* ----------------------------------- */
/* ----- SINGLE POST PROJEKTY -------- */

.post-thumbnail {
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
    width: 100vw;
    margin-top: 0px;
    margin-bottom: 25px;
    display: inline-block;

}
.post-thumbnail:only-child {
  align-self: center;
}
.proj_menu, .proj_part {
  flex: 1;
  padding-right: 3rem;
  padding-top: 1rem;
  font-size: 0.8em;
}

/* Project part */
.proj_part {
}

.proj_popis, .proj_img {
  flex: 3;
  position: relative;
}
.section_flex, .slide_flex {
  display: flex;
  /* padding-left: 3rem;
  padding-right: 3rem; */
  padding-left: 15px;
  padding-right: 15px;
}
/* .section_flex > div:last-child {
  text-align: right;
} */
.slide_flex:nth-child(odd) {
  flex-direction: row-reverse;
}
.slide_flex:nth-child(odd) .proj_part {
  /* text-align: right; */
  padding-left: 15px;
}

/* Project title */
.title {
  margin-bottom: 3em;
}


/* Project menu  li  */
.proj_menu li {
  list-style: none;
  /* padding-left: .5em; */
  margin-bottom: .1em;
}
.proj_menu li:before {
  /* hover ikona  "\f111"; FontAwesome Unicode  https://fontawesome.com/how-to-use/on-the-web/setup/getting-started */
  content: "○"; /* FontAwesome Unicode */
  /* font-family: FontAwesome; */
  display: inline-block;
  margin-left: -2.6em; /* same as padding-left set on li */
  margin-right: 1.3em; /* same as padding-left set on li */
  width: 1.3em; /* same as padding-left set on li */
}
.proj_menu li:hover:before {
  /* content: "●";   */
}

/* PREV / NEXT  Project */
.navigace a, .navigace a:hover, .navigace a:visited, .navigace a:visited {color: white;}
.p_prev, .p_next {
  flex: 1;
  padding: 15px;
  margin: 1px;
  color: white;
  background-color: black;
  min-height: 200px;
}
.p_prev:hover, .p_next:hover {
  background-color: #F36E21;
  cursor: pointer;
}
.p_next {
  text-align: right;
}
.post_list {
  flex: 1;
}
.p_prev p, .p_next p {
  margin-top: 50px;
}
.prevnext {
  bottom: 15px;
}

/* arrow více */
a.arrow_vice:before {
  /* font-family: FontAwesome; */
  font-family: Marco-Uttara-Medium;
  content: "↓";
  display: inline-block;
  margin-left: -10px;
}
a.arrow_vice.collapsed:before {
  content: "→ Více";
  margin-left: -20px;
}

a.arrow_vice {text-decoration: none;}

/*  sticky element */
div.sticky .body {
  position: -webkit-sticky;
  position: sticky;
  top: 120px;
  /* background-color: yellow; */
  /* height: 200px; */
  vertical-align: text-bottom;
}

/* CAROUSEL  Bootstrap 4 */
.carousel-indicators {
  top: 10px;
  bottom: inherit;
}
.carousel-indicators li {
    border-radius: 12px;
    width: 12px;
    height: 12px;
    /* background-color: #404040; */
}
.carousel-item img {width: 100%;}

.carousel-fade .carousel-item {
    opacity: 0;
    transition-duration: .9s;
    transition-property: opacity;
}

/*  */

.vid_container {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;
}
.video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* -------------------------------- */
/* ------    PROJEKTY   ---------- */

.grid {
  /* background: #EEE; */
  /* center */
  margin: 20px 10px;
}
.grid-item {
  /* width: 450px; */
  padding: 5px 5px 30px 5px;
}

/* full width GRID   */
.grid-sizer,
.grid-item {
  width: 33.333%;
}
@media (max-width: 575px) {
  .grid-sizer,
  .grid-item {
    width: 100%;
  }
}
@media (min-width: 576px) and (max-width: 767px) {  /* 767*/
  .grid-sizer,
  .grid-item {
    width: 50%;
  }
  .section_flex, .slide_flex {
      flex-direction: column;
  }
  .slide_flex:nth-child(odd) {
      flex-direction: column;
    }
  }



/* clearfix */
.grid:after {
  content: '';
  display: block;
  clear: both;
}


/* ---------------------------- */
/* ------    O NAS   ---------- */

  /* submenu */
  .sec-menu.circle a {}
  .sec-menu.circle a span {
    display: inline-block;
    border: 1px solid rgb(0,0,0,1);
    border-radius: 50%;
    /* padding: 8px 0 0 0; */
    color: black;
    text-align: center;
    font-size: 0.75em;
    width: 1.25em;
    height: 1.25em;
    margin-top: 0px;
    padding-top: 4px;
    line-height: 0.4em;
  }
  .sec-menu.circle a:hover span, .sec-menu li.active a span {
    color: white;
    background-color: black;
  }
  .section {
    background-color: #eee;

  }

  /* NUMBER */
  .number.circle {
    font-family: 'Marco-Uttara-Black';
    font-weight: bold;
    display: inline-block;
    border: 8px solid;
    border-radius: 50%;
    /* padding: 8px 0 0 0; */
    text-align: center;
    font-size: 4em;
    width: 1.25em;
    height: 1.25em;
    margin-top: 0px;
    padding-top: 7px;
    line-height: 0.65em;
  }
  /* loga partneru */
  ul.loga li {
    display: inline-block;
    white-space: nowrap;
    padding: 5px 15px;
    margin: 5px;
    /* border: 1px solid silver; */
    font-size: 3rem;
    font-family: 'Marco-Uttara-Medium', Arial, sans-serif !important;;
    font-weight: normal;
  }
  ul.loga {
    display: flex;
    justify-content: flex-start;
    margin-top: 50px;
    position: relative;
    -webkit-animation: mymove 5s infinite; /* Safari 4.0 - 8.0 */
    -webkit-animation-timing-function: linear; /* Safari 4.0 - 8.0 */
    animation: mymove 20s infinite;
    animation-timing-function: linear;
  }
  .loga:hover {
    -webkit-animation-play-state:paused;
    -moz-animation-play-state:paused;
    -o-animation-play-state:paused;
    animation-play-state:paused;
    cursor: pointer;
  }
  /* Safari 4.0 - 8.0 */
  @-webkit-keyframes mymove {
    from {left: 1500px;}
    to {left: -3524px;}
  }
  @keyframes mymove {
    from {left: 1500px;}
    to {left: -3524px;}
  }

  /* Klienti o nas  -  feadback */
  .klienti .carousel-item img {
    float: right;
    width: 65%;
    height: 65%;
  }
  .fp-slides {margin-left: 0px;margin-right: -50px; padding: 0 50px 0 0;}
  .klienti .carousel-item {padding-left: 50px;}
  .klienti .carousel-control-prev {justify-content: flex-start; width: 100px;}
  .klienti .carousel-control-next {justify-content: flex-end;  width: 100px;}
  .klienti .carousel-control-prev-icon { background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%0' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E"); }
  .klienti .carousel-control-next-icon { background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%0' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E"); }
  .klienti .carousel-control-prev, .klienti .carousel-control-next { top: 50px; bottom: auto;}
  .klienti .carousel-item h2 {margin-top: 40px;}

  /*  BUTTON */
  a.bttn {
    display: block;
    text-align: left;
    margin-top: 20px;
    text-decoration: none;
  }
  .bttn-white, .bttn-white:hover {color: white;}
  .bttn-black, .bttn-black:hover {color: #212529;}

  a.sipka:before {
    content: "→";
    display: inline-block;
    width: 40px;
     -webkit-transition: all 0.5s ease;
     -o-transition: all 0.5s ease;
     transition: all 0.5s ease;
  }

  a.sipka:hover:before  {
  padding-left: 15px;
  }

/*  LINK LIST in section O nás  */

  a.inline.sipka:before {
    width: 30px;

  }
  a.inline.sipka:hover:before  {
    padding-left: 10px;
  }
  .list-group.inline {
    flex-direction: row;
    flex-wrap: wrap;
  }
  .list-group-item {
    background: none;
    margin-right: 10px;
  }
  .list-group-item a:hover{
    text-decoration: none;
    color: black;
  }

/* NOVINKY */
.grid-novinka {
  position: relative;
  width: 32%;
  margin-top: 30px;
}
.grid-novinka a {
  color: #212529;
  text-decoration: none;
}
.grid-novinka a:hover { color: #212529; }
.grid-novinka .zdroj {
  position: absolute;
  top: 20px;
  left: 20px;
  bottom: auto;
  background-color: #212529;
  color: white;
  border-radius: 25px / 25px;
  padding: 0 8px 0 8px;
  font-size: 0.9em;
  font-family: 'Marco-Uttara-Light', Arial, sans-serif !important;
  font-weight: lighter;
}
.grid-novinka h2 { font-size: 2.2rem; line-height: 2rem}


/**
 * TABS view kontakty
 */
.kontakt p {
  font-size: 1.2em;
  line-height: 1.2em;
  padding: 0 0 10px 0;
}
.kontakt p {
  width: 100%;
}
.kontakt p:nth-child(2) {
  padding-top: 10px;
  border-top: 1px solid white;
  border-bottom: 1px solid white;
  width: auto;
}
.icodic p {
  font-family: 'Marco-Uttara-Light', Arial, sans-serif !important;
  font-size: 1em;
  margin-left: 30%;
  width: auto;
}

 /* Style the tab */
 .tab {
   float: left;
   width: 30%;
   /* height: 300px; */
 }

 /* Style the buttons that are used to open the tab content */
 .tab button {
   font-family: 'Marco-Uttara-Medium', Arial, sans-serif !important;
   font-size: 3em;
   display: block;
   background-color: inherit;
   width: 100%;
   border: none;
   outline: none;
   text-align: left;
   cursor: pointer;
   /* transition: 0.3s; */
   color: white;
 }

 /* Change background color of buttons on hover */
 .tab button:hover {
   text-decoration: underline;
 }

 /* Create an active/current "tab button" class */
 .tab button.active {
   text-decoration: underline;
 }

 /* Style the tab content */
 .tabcontent {
   float: left;
   padding: 0px;
   width: 70%;
   border-left: none;
   height: 300px;
 }




/**
 * hacked
 */
.black {color: black}
.white {color: white}

/**
* footer style
*/
.page-footer p {
  font-family: 'Marco-Uttara-Light';
  font-weight: lighter;
  margin-bottom: 0px;
}
.page-footer {
  background-color: white;
  border-top: 1px solid silver;
  /* position: absolute; */
  /* bottom: 0px; */
  /* width: 100%; */
  flex-shrink: 0;
}
.site {flex: 1 0 auto;}
html, body {height: 100%}
body {display: flex;
  flex-direction: column;}
/**
 *   MEDIA
 */

 @media (min-width: 992px) {
   .navbar-expand-lg .navbar-nav .nav-link {
     padding-right: 0;
     padding-left: 0;
   }
 }
